summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:59 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:59 +0200
commit0ddffa1559fbfa95e6c7bbcc86f5d38c631359e8 (patch)
treeea8f2e5ad3e5e9fd1874fc6195dddc7c4aa464c0 /audio
parent73c6e2990956fff89d9af0d0c42b8d665cb3743f (diff)
downloadslackbuilds-0ddffa1559fbfa95e6c7bbcc86f5d38c631359e8.tar.gz
slackbuilds-0ddffa1559fbfa95e6c7bbcc86f5d38c631359e8.tar.xz
audio/xmms2: Moved from multimedia
Diffstat (limited to 'audio')
-rw-r--r--audio/xmms2/README9
-rw-r--r--audio/xmms2/slack-desc19
-rw-r--r--audio/xmms2/xmms2.SlackBuild60
-rw-r--r--audio/xmms2/xmms2.info8
4 files changed, 96 insertions, 0 deletions
diff --git a/audio/xmms2/README b/audio/xmms2/README
new file mode 100644
index 0000000000..b9ef79a682
--- /dev/null
+++ b/audio/xmms2/README
@@ -0,0 +1,9 @@
+XMMS2 is the next generation of XMMS. The XMMS2 team is committed to
+producing a better music player, while diligently maintaining a robust and
+flexible design. The goal is to make the system easy for developers to
+maintain and integrate with. In terms of the listening experience, XMMS2
+makes it possible for anyone to easily manage their music collection and to
+interact with it in a flexible manner.
+
+To compile this package, you will need SQLite, which is also available
+from SlackBuilds.org.
diff --git a/audio/xmms2/slack-desc b/audio/xmms2/slack-desc
new file mode 100644
index 0000000000..923c627d5a
--- /dev/null
+++ b/audio/xmms2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xmms2: XMMS2 (XMMS2 music player)
+xmms2:
+xmms2: XMMS2 is the next generation of XMMS. The XMMS2 team is committed
+xmms2: to producing a better music player, while diligently maintaining a
+xmms2: robust and flexible design. The goal is to make the system easy
+xmms2: for developers to maintain and integrate with. In terms of the
+xmms2: listening experience, XMMS2 makes it possible for anyone to easily
+xmms2: manage their music collection and to interact with it in a
+xmms2: flexible manner.
+xmms2:
+xmms2:
diff --git a/audio/xmms2/xmms2.SlackBuild b/audio/xmms2/xmms2.SlackBuild
new file mode 100644
index 0000000000..95f8ac18d8
--- /dev/null
+++ b/audio/xmms2/xmms2.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for xmms2
+
+# Written by Kyle Guinn <elyk03@gmail.com>
+# Updated by Rainer Wittmaack <ningo@gmx.net>
+
+PRGNAM=xmms2
+VERSION="0.4DrKosmos"
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+export CCFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+
+./waf configure --prefix=/usr --with-perl-archdir=/usr/lib/perl5/vendor_perl/5.8.8
+./waf
+./waf install --destdir=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# The man pages are pre-gzipped, we don't have to do that here.
+# However, we do need to move them to the proper location.
+mv $PKG/usr/share/man $PKG/usr
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/xmms2/xmms2.info b/audio/xmms2/xmms2.info
new file mode 100644
index 0000000000..febf02073d
--- /dev/null
+++ b/audio/xmms2/xmms2.info
@@ -0,0 +1,8 @@
+PRGNAM="xmms2"
+VERSION="0.4DrKosmos"
+HOMEPAGE="http://wiki.xmms2.xmms.se/"
+DOWNLOAD="http://downloads.sourceforge.net/xmms2/xmms2-0.4DrKosmos.tar.bz2"
+MD5SUM="f363857a77606a2d7d14603ab375f454"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="David Somero"